Parameters.FailReason (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.http

## Enum Parameters.FailReason

- java.lang.Object
- - java.lang.Enum<Parameters.FailReason>
  - - org.apache.tomcat.util.http.Parameters.FailReason

- All Implemented Interfaces:
    Serializable, Comparable<Parameters.FailReason>
  Enclosing class:
    Parameters

      public static enum Parameters.FailReason
      extends Enum<Parameters.FailReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT_DISCONNECT`
    `INVALID_CONTENT_TYPE`
    `IO_ERROR`
    `MULTIPART_CONFIG_INVALID`
    `NO_NAME`
    `POST_TOO_LARGE`
    `REQUEST_BODY_INCOMPLETE`
    `TOO_MANY_PARAMETERS`
    `UNKNOWN`
    `URL_DECODING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parameters.FailReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Parameters.FailReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT_DISCONNECT

          public static final Parameters.FailReason CLIENT_DISCONNECT

    - #### MULTIPART_CONFIG_INVALID

          public static final Parameters.FailReason MULTIPART_CONFIG_INVALID

    - #### INVALID_CONTENT_TYPE

          public static final Parameters.FailReason INVALID_CONTENT_TYPE

    - #### IO_ERROR

          public static final Parameters.FailReason IO_ERROR

    - #### NO_NAME

          public static final Parameters.FailReason NO_NAME

    - #### POST_TOO_LARGE

          public static final Parameters.FailReason POST_TOO_LARGE

    - #### REQUEST_BODY_INCOMPLETE

          public static final Parameters.FailReason REQUEST_BODY_INCOMPLETE

    - #### TOO_MANY_PARAMETERS

          public static final Parameters.FailReason TOO_MANY_PARAMETERS

    - #### UNKNOWN

          public static final Parameters.FailReason UNKNOWN

    - #### URL_DECODING

          public static final Parameters.FailReason URL_DECODING

  - ### Method Detail

    - #### values

          public static Parameters.FailReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parameters.FailReason c : Parameters.FailReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parameters.FailReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.